import type { AdminUser, AuthTokens } from '../entities';

export interface IAuthRepository {
  login(identifier: string, password: string): Promise<{ user: AdminUser; tokens: AuthTokens }>;
  logout(): Promise<void>;
}
